Bug 110709 - (TB481c9b61) redhat-config-network crashes at program startup
redhat-config-network crashes at program startup
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-23 16:20 EST by Shured
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-05 08:48:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shured 2003-11-23 16:20:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1)
Gecko/20030225

Description of problem:
After doing a up2date (23/11/2003) the network-config doesn't work
anymore. ifconfig still works. Just the gui isn't showing. If I try to
bypass it and go to it via the systemtools=>networkdevicecontrol, the
same error occurs. A cold reboot didn't solve the problem. No other
symptons or error-messages show up.

Version-Release number of selected component (if applicable):
1.2.15

How reproducible:
Always

Steps to Reproduce:
1.start => system settings => network 

Or start from root-shell /usr/bin/redhat-config-network
    

Actual Results:  The gui doesn't come up. Instead a lot of errors are
displayd in a 'Exeption Occurred' window.

Expected Results:  Gui should be visible. 

Additional info:

Component: redhat-config-network
Version: 1.2.15
Summary: TB481c9b61 maindialog.py:124:__init__:AttributeError:
'NoneType' object has no attribute 'set_from_file'
Traceback (most recent call last):
  File "/usr/sbin/redhat-config-network-gui", line 163, in main
    window = mainDialog()
  File
"/usr/src/build/290630-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 124, in __init__
AttributeError: 'NoneType' object has no attribute 'set_from_file'

Local variables in innermost frame:
self: <netconfpkg.gui.maindialog.mainDialog instance at 0x83db494>
glade_file:
/usr/share/redhat-config-network/netconfpkg/gui/maindialog.glade
Comment 1 Harald Hoyer 2003-11-25 09:28:36 EST
can you please verify the correct installation of
redhat-config-network with:
$ rpm -Vf \
/usr/share/redhat-config-network/netconfpkg/gui/maindialog.glade && \
echo OK
Comment 2 Shured 2003-11-25 14:58:54 EST
Result is OK

If I start the redhat-config-network from command prompt, next to the
popup with above message, the following messages are displayed (both
*.so files are in /usr/lib/libglade/2.0/):

(redhat-config-network:3366): libglade-WARNING **: Could not load
support for `gnome': libgnome.so: cannot open shared object file: No
such file or directory

(redhat-config-network:3366): libglade-WARNING **: Could not load
support for `bonobo': libbonobo.so: cannot open shared object file: No
such file or directory

(redhat-config-network:3366): libglade-WARNING **: unknown property
`enable_layout_config' for class `GnomeApp'

(redhat-config-network:3366): libglade-WARNING **: could not find a
parent that handles internal children for `dock'

(redhat-config-network:3366): libglade-WARNING **: could not find a
parent that handles internal children for `appbar'
Comment 3 Harald Hoyer 2003-11-26 05:14:53 EST
Seems like you have a bad installation..

$ rpm -qf /usr/lib/libglade/2.0/libgnome.so
libgnomeui-2.4.0.1-1
$ ll /usr/lib/libglade/2.0/libgnome.so
-rwxr-xr-x    1 root     root        28640  3. Okt 16:41
/usr/lib/libglade/2.0/libgnome.so

so you may verify your libgnomeui installation by:
$ rpm -Vf /usr/lib/libglade/2.0/libgnome.so && echo OK
Comment 4 Shured 2003-11-26 07:54:08 EST
I've updated to 
- libgnomeui-2.4.0.1-1
- libbonobo-2.4.0-1
- GConf2-2.4.0.1
- libbonoboui-2.4.0.1

$ rpm -qf /usr/lib/libbonobo-activation.so.4
$ libbonobo-2.4.0-1

The program still crashes before the gui is visible, but now the 
error is:

Component: redhat-config-network
Version: 1.2.15
Summary: TBd9d48f1f 
NewInterfaceDialog.py:27:?:ImportError: /usr/lib/libbonobo-
activation.so.4: undefined symbol: ORBit_c_stub_invoke
Traceback (most recent call last):
  File "/usr/sbin/redhat-config-network-gui", line 138, in main
    import netconfpkg.gui.GUI_functions
  File "/usr/src/build/290630-noarch/install/usr/share/redhat-config-
network/netconfpkg/gui/__init__.py", line 36, in ?
  File "<string>", line 1, in ?
  File "/usr/src/build/290630-noarch/install/usr/share/redhat-config-
network/netconfpkg/gui/NewInterfaceDialog.py", line 27, in ?
ImportError: /usr/lib/libbonobo-activation.so.4: undefined symbol: 
ORBit_c_stub_invoke

Local variables in innermost frame:
FALSE: 0
signal: <module 'signal' (built-in)>
__builtins__: {'help': Type help() for interactive help, or help
(object) for help about object., 'vars': <built-in function 
vars>, 'pow': <built-in function pow>, 'RuntimeError': <class 
exceptions.RuntimeError at 0x811770c>, 'float': 
<type 'float'>, 'StopIteration': <class exceptions.StopIteration at 
0x811649c>, 'globals': <built-in function globals>, 'divmod': <built-
in function divmod>, 'unicode': <type 'unicode'>, 'apply': <built-in 
function apply>, 'isinstance': <built-in function 
isinstance>, 'open': <type 'file'>, 'ArithmeticError': <class 
exceptions.ArithmeticError at 0x8119454>, 'quit': 'Use Ctrl-D (i.e. 
EOF) to exit.', 'UnicodeError': <class exceptions.UnicodeError at 
0x8119c7c>, 'zip': <built-in function zip>, 'LookupError': <class 
exceptions.LookupError at 0x81171c4>, 'super': 
<type 'super'>, 'AttributeError': <class exceptions.AttributeError at 
0x811182c>, 'hex': <built-in function hex>, 'long': 
<type 'long'>, 'ReferenceError': <class exceptions.ReferenceError at 
0x8119e54>, 'NameError': <class exceptions.NameError at 
0x811794c>, 'ImportError': <class exceptions.ImportError at 
0x8116c94>, 'chr': <built-in function chr>, 'complex': 
<type 'complex'>, 'dict': <type 'dict'>, '__import__': <built-in 
function __import__>, 'input': <built-in function input>, 'type': 
<type 'type'>, 'oct': <built-in function oct>, 'SystemExit': <class 
exceptions.SystemExit at 0x8116a2c>, 'Exception': <class 
exceptions.Exception at 0x811621c>, 'StandardError': <class 
exceptions.StandardError at 0x8116654>, 'tuple': 
<type 'tuple'>, 'repr': <built-in function repr>, 'SystemError': 
<class exceptions.SystemError at 0x8119eb4>, 'IOError': <class 
exceptions.IOError at 0x811706c>, 'IndexError': <class 
exceptions.IndexError at 0x81190fc>, 'hasattr': <built-in function 
hasattr>, 'delattr': <built-in function delattr>, 'False': 
0, 'RuntimeWarning': <class exceptions.RuntimeWarning at 
0x811ac2c>, 'setattr': <built-in function setattr>, 'raw_input': 
<built-in function raw_input>, 'list': 
<type 'list'>, 'SyntaxWarning': <class exceptions.SyntaxWarning at 
0x811a8b4>, 'iter': <built-in function iter>, '__doc__': "Built-in 
functions, exceptions, and other objects.\n\nNoteworthy: None is the 
`nil' object; Ellipsis represents `...' in slices.", 'compile': 
<built-in function compile>, 'reload': <built-in function 
reload>, 'Warning': <class exceptions.Warning at 0x811a35c>, 'str': 
<type 'str'>, 'property': <type 'property'>, 'round': <built-in 
function round>, 'dir': <built-in function dir>, 'cmp': <built-in 
function cmp>, 'MemoryError': <class exceptions.MemoryError at 
0x811a1e4>, 'hash': <built-in function hash>, 'int': 
<type 'int'>, 'xrange': <built-in function xrange>, 'reduce': <built-
in function reduce>, 'KeyError': <class exceptions.KeyError at 
0x811928c>, 'coerce': <built-in function coerce>, 'intern': <built-in 
function intern>, 'exit': 'Use Ctrl-D (i.e. EOF) to 
exit.', 'issubclass': <built-in function issubclass>, 'file': 
<type 'file'>, 'EnvironmentError': <class exceptions.EnvironmentError 
at 0x8116f8c>, 'unichr': <built-in function unichr>, 'id': <built-in 
function id>, 'locals': <built-in function locals>, 'slice': <built-
in function slice>, 'DeprecationWarning': <class 
exceptions.DeprecationWarning at 0x811a704>, 'min': <built-in 
function min>, 'FloatingPointError': <class 
exceptions.FloatingPointError at 0x811996c>, 'execfile': <built-in 
function execfile>, 'OverflowWarning': <class 
exceptions.OverflowWarning at 0x811aa6c>, 'getattr': <built-in 
function getattr>, 'abs': <built-in function abs>, 'bool': <built-in 
function bool>, 'True': 1, 'ValueError': <class exceptions.ValueError 
at 0x81199cc>, 'NotImplemented': NotImplemented, 'map': <built-in 
function map>, 'None': None, 'EOFError': <class exceptions.EOFError 
at 0x811757c>, 'buffer': <built-in function buffer>, 'max': <built-in 
function max>, 'object': <type 'object'>, 'len': <built-in function 
len>, 'TabError': <class exceptions.TabError at 
0x8118994>, 'callable': <built-in function callable>, 'credits': 
Thanks to CWI, CNRI, BeOpen.com, Digital Creations and a cast of 
thousands
for supporting Python development.  See www.python.org for more 
information., 'SyntaxError': <class exceptions.SyntaxError at 
0x8111994>, 'OSError': <class exceptions.OSError at 
0x81173cc>, 'eval': <built-in function 
eval>, '__name__': '__builtin__', 'ord': <built-in function 
ord>, '__debug__': 1, 'IndentationError': <class 
exceptions.IndentationError at 0x8118934>, '_': <bound method 
i18n.gettext of <rhpl.translate.i18n instance at 
0x818a2d4>>, 'AssertionError': <class exceptions.AssertionError at 
0x8118c5c>, 'TypeError': <class exceptions.TypeError at 
0x81166b4>, 'copyright': Copyright (c) 2001, 2002 Python Software 
Foundation.
All Rights Reserved.

Copyright (c) 2000 BeOpen.com.
All Rights Reserved.

Copyright (c) 1995-2001 Corporation for National Research Initiatives.
All Rights Reserved.

Copyright (c) 1991-1995 Stichting Mathematisch Centrum, Amsterdam.
All Rights Reserved., 'license': See 
http://www.python.org/2.2/license.html, 'classmethod': 
<type 'classmethod'>, 'KeyboardInterrupt': <class 
exceptions.KeyboardInterrupt at 0x8116c34>, 'UserWarning': <class 
exceptions.UserWarning at 0x811a524>, 'ZeroDivisionError': <class 
exceptions.ZeroDivisionError at 0x81197c4>, 'UnboundLocalError': 
<class exceptions.UnboundLocalError at 0x811169c>, 'filter': <built-
in function filter>, 'range': <built-in function 
range>, 'staticmethod': <type 'staticmethod'>, 'NotImplementedError': 
<class exceptions.NotImplementedError at 0x81178ec>, 'Ellipsis': 
Ellipsis, 'OverflowError': <class exceptions.OverflowError at 
0x81195fc>}
__name__: netconfpkg.gui.NewInterfaceDialog
__file__: /usr/sbin/../share/redhat-config-
network/netconfpkg/gui/NewInterfaceDialog.pyc
gtk: <module 'gtk' from '/usr/lib/python2.2/site-packages/gtk-
2.0/gtk/__init__.pyc'>
os: <module 'os' from '/usr/lib/python2.2/os.pyc'>
__doc__: None
TRUE: 1
Comment 5 Harald Hoyer 2003-11-26 07:59:19 EST
/usr/lib/libbonobo-activation.so.4: undefined symbol: ORBit_c_stub_invoke

seems like ORBit2 is not updated.... are you sure, you have a clean
system???

# rpm -qf /usr/lib/libORBit-2.so.0
ORBit2-2.8.2-1

[root@faro src]# rpm -qf /usr/lib/libbonobo-activation.so.4.0.0
libbonobo-2.4.0-1
[root@faro src]# ldd -r /usr/lib/libbonobo-activation.so.4.0.0
        libORBitCosNaming-2.so.0 => /usr/lib/libORBitCosNaming-2.so.0
(0x00aa4000)
        libORBit-2.so.0 => /usr/lib/libORBit-2.so.0 (0x00a54000)
        libm.so.6 => /lib/tls/libm.so.6 (0x00dac000)
        libgmodule-2.0.so.0 => /usr/lib/libgmodule-2.0.so.0 (0x00831000)
        libdl.so.2 => /lib/libdl.so.2 (0x00dd0000)
        libgobject-2.0.so.0 => /usr/lib/libgobject-2.0.so.0 (0x007fc000)
        libgthread-2.0.so.0 => /usr/lib/libgthread-2.0.so.0 (0x009b3000)
        libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0 (0x00791000)
        libc.so.6 => /lib/tls/libc.so.6 (0x00c71000)
        libpopt.so.0 => /usr/lib/libpopt.so.0 (0x00787000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x00740000)
        libpthread.so.0 => /lib/tls/libpthread.so.0 (0x001e1000)
Comment 6 Shured 2003-11-28 05:07:23 EST
I've updated ORBit2 to 2.8.2-1 and also libbonobo is version 2.4.0-1.

I've run up2date and have no strange mods on the system. Only the 
BCM4401 network card was not suppored in redhat9 and had to be 
seperatly installed.

# ldd -r /usr/lib/libbonobo-activation.so.4.0.0
        libORBitCosNaming-2.so.0 => /usr/lib/libORBitCosNaming-2.so.0 
(0x40026000)
        libORBit-2.so.0 => /usr/lib/libORBit-2.so.0 (0x40033000)
        libm.so.6 => /lib/tls/libm.so.6 (0x40081000)
        libgmodule-2.0.so.0 => /usr/local/lib/libgmodule-2.0.so.0 
(0x400a3000)
        libdl.so.2 => /lib/libdl.so.2 (0x400a7000)
        libgobject-2.0.so.0 => /usr/local/lib/libgobject-2.0.so.0 
(0x400ab000)
        libgthread-2.0.so.0 => /usr/local/lib/libgthread-2.0.so.0 
(0x400db000)
        libglib-2.0.so.0 => /usr/local/lib/libglib-2.0.so.0 
(0x400e0000)
        libc.so.6 => /lib/tls/libc.so.6 (0x42000000)
        libpopt.so.0 => /usr/lib/libpopt.so.0 (0x40142000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x80000000)
        libpthread.so.0 => /lib/tls/libpthread.so.0 (0x4014a000)


Now I'm back with the original error:

Component: redhat-config-network
Version: 1.2.15
Summary: TB481c9b61 
maindialog.py:124:__init__:AttributeError: 'NoneType' object has no 
attribute 'set_from_file'
Traceback (most recent call last):
  File "/usr/sbin/redhat-config-network-gui", line 163, in main
    window = mainDialog()
  File "/usr/src/build/290630-noarch/install/usr/share/redhat-config-
network/netconfpkg/gui/maindialog.py", line 124, in __init__
AttributeError: 'NoneType' object has no attribute 'set_from_file'

Local variables in innermost frame:
self: <netconfpkg.gui.maindialog.mainDialog instance at 0x83ebfe4>
glade_file: /usr/share/redhat-config-
network/netconfpkg/gui/maindialog.glade


Comment 7 Shured 2003-12-05 07:18:56 EST
After the up2date yesterday redhat-config-network works without 
errors. Thanks for all the trouble. This bug-report can be closed.

Note You need to log in before you can comment on or make changes to this bug.